> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/ufc-5.0/building-static-data.md).

# Static Data

**Required Headers to use our endpoints:**

| **Key**       | **Value**                                       |
| ------------- | ----------------------------------------------- |
| Accept        | application/vnd.imgarena.dde.api+json;version=1 |
| Content-Type  | application/json                                |
| Authorization | Bearer eyvhaoudfgpdfgo\*                        |

In order retrieve a list of "fightcards" or events, please hit the IMG UFC fightcard endpoint:

`https://dde-api.data.imgarena.com/mma/fightcards`

Note the Key values needed from this endpoint:

| **Endpoint**  | **Description**                 | **Link to Sandbox** |
| ------------- | ------------------------------- | ------------------- |
| fightcardName | the name of the fightcard       | -                   |
| identifier    | the identifier of the fightcard | EventId             |

**If you want to look at just the information for a particular fightcard, you can pass the event ID i.e:**

`https://dde-api.data.imgarena.com/mma/fightcards/{id}`

To return "fightcards" for a given date range, this can be done by passing the dateFrom and dateTo parameters. Both parameters should specify a date in a `YYYY-mm-dd` format.

In addition you will need to get a list of fights associated to the fightcard/event, this can be done by passing the EventId for a fightcard via the IMG Arena UFC "Schedule" endpoint.

`https://dde-api.data.imgarena.com/mma/fightcards/{id}/schedule`

Note the Key values needed from endpoint:

| **Endpoint** | **Description**                                                  | **Link to sandbox** |
| ------------ | ---------------------------------------------------------------- | ------------------- |
| redTeam      | An object containing information on the fighter of the red team  | -                   |
| blueTeam     | An object containing information on the fighter of the blue team | -                   |
| fightId      | The ID number of the fight                                       | fightId             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/ufc-5.0/building-static-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
